select_file() build rule implementation.

Selects a single file from the outputs of a target by given relative path.

## select_file

load("@bazel_skylib//rules:select_file.bzl", "select_file")

select_file(name, srcs, subpath)

Selects a single file from the outputs of a target by given relative path

**ATTRIBUTES**

| Name  | Description | Type | Mandatory | Default |
| :------------- | :------------- | :------------- | :------------- | :------------- |
| name |  A unique name for this target.   | Name (https://bazel.build/concepts/labels#target-names) | required |  |
| srcs |  The target producing the file among other outputs   | Label (https://bazel.build/concepts/labels) | required |  |
| subpath |  Relative path to the file   | String | required |  |

